%define major 	1
%define libname %mklibname mb %major
%define develname %mklibname -d mb

Summary: 	Libraries for the Matchbox Desktop
Name: 		libmatchbox
Version: 	1.9
Release: 	%mkrel 19
URL: 		http://matchbox-project.org
License: 	LGPLv2+
Group: 		System/Libraries
Source0:	http://matchbox-project.org/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:		libmatchbox-1.9-libpng1.5.patch
Patch1:		libmatchbox-1.9-linking.patch
Patch2:		libmatchbox-1.9-automake-1.13.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	Xsettings-client-devel
BuildRequires:	pkgconfig(check)

%description
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
for which screen space, input mechanisms or system resources are limited.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Inter-toolkit configuration settings

%description -n %{libname}
Libraries for the Matchbox Desktop.

%package -n %{develname}
Group:          Development/C
Summary:        Static libraries and header files from %{name}
Provides:	matchbox-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libmb-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Obsoletes:	%mklibname -d mb 1

%description -n %{develname}
Static libraries and header files from %{name}

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .linkfix
%patch2 -p1 -b .automake

%build
autoreconf -vfi
%configure --enable-xsettings --enable-png --enable-jpeg --enable-pango --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog README
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/libmb/*.h


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.9-19.mga8
+ Revision: 1514685
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.9-18.mga7
+ Revision: 1298976
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 04 2016 umeabot <umeabot> 1.9-17.mga6
+ Revision: 934470
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9-16.mga5
+ Revision: 743049
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.9-15.mga5
+ Revision: 726734
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.9-14.mga5
+ Revision: 681589
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.9-13.mga4
+ Revision: 525876
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 1.9-12.mga4
+ Revision: 434907
- rebuild for new libpng

* Sat Jan 12 2013 fwang <fwang> 1.9-11.mga3
+ Revision: 357842
- fix build with latest automake
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 wally <wally> 1.9-10.mga3
+ Revision: 335863
- add patch to fix linking
- clean .spec a bit

* Tue Sep 20 2011 fwang <fwang> 1.9-9.mga2
+ Revision: 145995
- fix build with latest libpgn
- rebuild for new libpng

* Tue Feb 08 2011 pterjan <pterjan> 1.9-8.mga1
+ Revision: 49245
- Drop old stuff
- imported package libmatchbox


* Sat Feb 05 2011 Funda Wang <fwang@mandriva.org> 1.9-8mdv2011.0
+ Revision: 636046
- rebuild
- tighten BR

* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9-7mdv2011.0
+ Revision: 602575
- rebuild

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9-6mdv2010.1
+ Revision: 488778
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.9-5mdv2010.0
+ Revision: 416622
- rebuilt against libjpeg v7

* Tue Dec 16 2008 Adam Williamson <awilliamson@mandriva.org> 1.9-4mdv2009.1
+ Revision: 314724
- rebuild
- small style cleanups

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 05 2007 Funda Wang <fwang@mandriva.org> 1.9-3mdv2008.1
+ Revision: 105991
- fix devel package name

* Mon Nov 05 2007 Funda Wang <fwang@mandriva.org> 1.9-2mdv2008.1
+ Revision: 105980
- New devel package policy


* Thu Jan 18 2007 Jérôme Soyer <saispo@mandriva.org> 1.9-1mdv2007.0
+ Revision: 110260
- New release 1.9
- Import libmatchbox

* Tue Mar 21 2006 Austin Acton <austin@mandriva.org> 1.8-1mdk
- New release 1.8

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 1.7-1mdk
- New release 1.7
- fix URLs

* Mon Jan 24 2005 Austin Acton <austin@mandrake.org> 1.6-1mdk
- 1.6

* Tue Jan 04 2005 Austin Acton <austin@mandrake.org> 1.5-1mdk
- 1.5

* Thu Sep 30 2004 Austin Acton <austin@mandrake.org> 1.4-1mdk
- 1.4

* Tue Aug 24 2004 Austin Acton <austin@mandrake.org> 1.3-1mdk
- 1.3

* Wed Jul 21 2004 Austin Acton <austin@mandrake.org> 1.2-1mdk
- initial package

